clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::SignatureInformation Struct Reference

Represents the signature of something callable. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SignatureInformation:
[legend]

## Public Attributes
std::string | label
| The label of this signature. Mandatory. More...
std::string | documentation
| The documentation of this signature. Optional. More...
std::vector< ParameterInformation > | parameters
| The parameters of this signature. More...

## Detailed Description

Represents the signature of something callable.

Definition at line 923 of file Protocol.h.

## Member Data Documentation

## ◆ documentation

std::string clang::clangd::SignatureInformation::documentation

The documentation of this signature. Optional.

Definition at line 929 of file Protocol.h.

Referenced by clang::clangd::toJSON().

## ◆ label

std::string clang::clangd::SignatureInformation::label

The label of this signature. Mandatory.

Definition at line 926 of file Protocol.h.

Referenced by clang::clangd::operator<<(), and clang::clangd::toJSON().

## ◆ parameters

std::vector<ParameterInformation> clang::clangd::SignatureInformation::parameters

The parameters of this signature.

Definition at line 932 of file Protocol.h.

Referenced by clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h